Package org.codehaus.groovy.reflection

## Class MixinInMetaClass

- java.lang.Object
- - org.codehaus.groovy.util.AbstractConcurrentMapBase
  - - org.codehaus.groovy.util.AbstractConcurrentMap<K,​V>
    - - org.codehaus.groovy.util.ManagedConcurrentMap
      - - org.codehaus.groovy.reflection.MixinInMetaClass

-     public class MixinInMetaClass
      extends ManagedConcurrentMap

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.groovy.util.ManagedConcurrentMap

      `ManagedConcurrentMap.Entry<K,​V>, ManagedConcurrentMap.EntryWithValue<K,​V>, ManagedConcurrentMap.Segment<K,​V>`

  - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.util.ManagedConcurrentMap

      `bundle`

    - ### Fields inherited from class org.codehaus.groovy.util.AbstractConcurrentMapBase

      `MAXIMUM_CAPACITY, segments`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MixinInMetaClass​(ExpandoMetaClass emc, CachedClass mixinClass)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `CachedClass` | `getInstanceClass()` |
    `CachedClass` | `getMixinClass()` |
    `java.lang.Object` | `getMixinInstance​(java.lang.Object object)` |
    `int` | `hashCode()` |
    `static void` | `mixinClassesToMetaClass​(MetaClass self, java.util.List<java.lang.Class> categoryClasses)` |
    `void` | `setMixinInstance​(java.lang.Object object, java.lang.Object mixinInstance)` |

    - ### Methods inherited from class org.codehaus.groovy.util.ManagedConcurrentMap

      `createSegment`

    - ### Methods inherited from class org.codehaus.groovy.util.AbstractConcurrentMap

      `get, getOrPut, put, remove, segmentFor`

    - ### Methods inherited from class org.codehaus.groovy.util.AbstractConcurrentMapBase

      `fullSize, hash, size, values`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MixinInMetaClass

          public MixinInMetaClass​(ExpandoMetaClass emc,
                                  CachedClass mixinClass)

  - ### Method Detail

    - #### getMixinInstance

          public java.lang.Object getMixinInstance​(java.lang.Object object)

    - #### setMixinInstance

          public void setMixinInstance​(java.lang.Object object,
                                       java.lang.Object mixinInstance)

    - #### getInstanceClass

          public CachedClass getInstanceClass()

    - #### getMixinClass

          public CachedClass getMixinClass()

    - #### mixinClassesToMetaClass

          public static void mixinClassesToMetaClass​(MetaClass self,
                                                     java.util.List<java.lang.Class> categoryClasses)

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`